- Qt 6.10
- Qt 3D
- QML Types
- Qt3D.Extras (Deprecated)
- ExtrudedTextMesh
- Qt 6.10.1 Reference Documentation

# ExtrudedTextMesh QML Type

A 3D extruded Text mesh. More...

Import Statement: | `import Qt3D.Extras 2.10`
Status: | Deprecated

- List of all members, including inherited members

## Properties

- depth : real
- font : font
- text : string

## Detailed Description

The origin of the mesh is the rear left end of the text's baseline.

## Property Documentation

depth : real

Holds the extrusion depth of the text.

font : font

* * * Holds the font of the text.

* The mesh geometry is normalized by the font's pointSize, so a larger pointSize * will result in smoother, rather than larger, text. pixelSize should not * be used.

text : string

Holds the text used for the mesh.